package com.ejie.ab79.model.preguntasRespuestas;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * FicherosAdjPro  
 * 
 *  
 */

public class FicherosAdjPro implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idFicherosAdjPro;
	private Integer idRespuestaProtocolo;
	private Integer tipoFicheroAdjunto;
	private String nombreFicheroAdjunto;
	private Integer idDocumentoSubido;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private Integer idRelProPre;
	private String oidPid;
	private String pathPif;
	private String idDocumentoMovil;

	/**
	 * Method 'FicherosAdjPro'.
	 */
	public FicherosAdjPro() {
	}

	/**
	 * Method 'FicherosAdjPro'.
	 * 
	 * @param idFicherosAdjPro
	 *            Integer
	 */
	public FicherosAdjPro(Integer idFicherosAdjPro) {
		this.idFicherosAdjPro = idFicherosAdjPro;
	}

	/**
	 * Method 'FicherosAdjPro'.
	 * 
	 * @param idFicherosAdjPro
	 *            Integer
	 * @param idRespuestaProtocolo
	 *            Integer
	 * @param tipoFicheroAdjunto
	 *            Integer
	 * @param nombreFicheroAdjunto
	 *            String
	 * @param idDocumentoSubido
	 *            Integer
	 * @param ficheroAdjunto
	 *            Blob
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param idDocumentacionMovil
	 *            Integer
	 */
	public FicherosAdjPro(Integer idFicherosAdjPro, Integer idRespuestaProtocolo, Integer tipoFicheroAdjunto,
			String nombreFicheroAdjunto, Integer idDocumentoSubido, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion, String idDocumentoMovil) {

		this.idFicherosAdjPro = idFicherosAdjPro;
		this.idRespuestaProtocolo = idRespuestaProtocolo;
		this.tipoFicheroAdjunto = tipoFicheroAdjunto;
		this.nombreFicheroAdjunto = nombreFicheroAdjunto;
		this.idDocumentoSubido = idDocumentoSubido;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.idDocumentoMovil = idDocumentoMovil;
	}

	/**
	 * Method 'getIdFicherosAdjPro'.
	 *
	 * @return Integer
	 */

	public Integer getIdFicherosAdjPro() {
		return this.idFicherosAdjPro;
	}

	/**
	 * Method 'setIdFicherosAdjPro'.
	 *
	 * @param idFicherosAdjPro
	 *            Integer
	 * @return
	 */

	public void setIdFicherosAdjPro(Integer idFicherosAdjPro) {
		this.idFicherosAdjPro = idFicherosAdjPro;
	}

	/**
	 * Method 'getIdRespuestaProtocolo'.
	 *
	 * @return Integer
	 */

	public Integer getIdRespuestaProtocolo() {
		return this.idRespuestaProtocolo;
	}

	/**
	 * Method 'setIdRespuestaProtocolo'.
	 *
	 * @param idRespuestaProtocolo
	 *            Integer
	 * @return
	 */

	public void setIdRespuestaProtocolo(Integer idRespuestaProtocolo) {
		this.idRespuestaProtocolo = idRespuestaProtocolo;
	}

	/**
	 * Method 'getTipoFicheroAdjunto'.
	 *
	 * @return Integer
	 */

	public Integer getTipoFicheroAdjunto() {
		return this.tipoFicheroAdjunto;
	}

	/**
	 * Method 'setTipoFicheroAdjunto'.
	 *
	 * @param tipoFicheroAdjunto
	 *            Integer
	 * @return
	 */

	public void setTipoFicheroAdjunto(Integer tipoFicheroAdjunto) {
		this.tipoFicheroAdjunto = tipoFicheroAdjunto;
	}

	/**
	 * Method 'getNombreFicheroAdjunto'.
	 *
	 * @return String
	 */

	public String getNombreFicheroAdjunto() {
		return this.nombreFicheroAdjunto;
	}

	/**
	 * Method 'setNombreFicheroAdjunto'.
	 *
	 * @param nombreFicheroAdjunto
	 *            String
	 * @return
	 */

	public void setNombreFicheroAdjunto(String nombreFicheroAdjunto) {
		this.nombreFicheroAdjunto = nombreFicheroAdjunto;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * @return the idDocumentoSubido
	 */
	public Integer getIdDocumentoSubido() {
		return this.idDocumentoSubido;
	}

	/**
	 * @param idDocumentoSubido
	 *            the idDocumentoSubido to set
	 */
	public void setIdDocumentoSubido(Integer idDocumentoSubido) {
		this.idDocumentoSubido = idDocumentoSubido;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public Integer getIdRelProPre() {
		return idRelProPre;
	}

	public void setIdRelProPre(Integer idRelProPre) {
		this.idRelProPre = idRelProPre;
	}

	public String getOidPid() {
		return oidPid;
	}

	public void setOidPid(String oidPid) {
		this.oidPid = oidPid;
	}

	public String getPathPif() {
		return pathPif;
	}

	public void setPathPif(String pathPif) {
		this.pathPif = pathPif;
	}

	/**
	 * @return the idDocumentacionMovil
	 */
	public String getIdDocumentoMovil() {
		return idDocumentoMovil;
	}

	/**
	 * @param idDocumentacionMovil
	 *            the idDocumentacionMovil to set
	 */
	public void setIdDocumentoMovil(String idDocumentoMovil) {
		this.idDocumentoMovil = idDocumentoMovil;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idFicherosAdjPro: ").append(this.idFicherosAdjPro).append(" ]");
		result.append(", [ idRespuestaProtocolo: ").append(this.idRespuestaProtocolo).append(" ]");
		result.append(", [ tipoFicheroAdjunto: ").append(this.tipoFicheroAdjunto).append(" ]");
		result.append(", [ nombreFicheroAdjunto: ").append(this.nombreFicheroAdjunto).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append(", [ idDocumentoMovil: ").append(this.idDocumentoMovil).append(" ]");
		result.append("}");
		return result.toString();
	}

}
